[求助] feisty底下ati显卡安装不上

为当前最终发行版之前的所有版本提供支持
回复
头像
interskh
帖子: 203
注册时间: 2005-11-16 10:42
送出感谢: 0
接收感谢: 0
联系:

[求助] feisty底下ati显卡安装不上

#1

帖子 interskh » 2007-03-17 11:07

我使用了zhuqin_83的帖子http://forum.ubuntu.org.cn/viewtopic.php?t=26188&highlight=ati
和http://wiki.cchtml.com/index.php/Ubuntu_Feisty_Installation_Guide#Finish_the_Installation的方法都不行

编译安装通过,但fgrlxinfo出来的还是mesa

贴我的xorg.conf,大家帮忙看看,言谢了:)


# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
# sudo dpkg-reconfigure -phigh xserver-xorg

Section "ServerLayout"
Identifier "Default Layout"
Screen 0 "aticonfig-Screen[0]" 0 0
InputDevice "Generic Keyboard"
InputDevice "Configured Mouse"
InputDevice "stylus" "SendCoreEvents"
InputDevice "cursor" "SendCoreEvents"
InputDevice "eraser" "SendCoreEvents"
InputDevice "Synaptics Touchpad"
EndSection

Section "Files"

# path to defoma fonts
FontPath "/usr/share/fonts/X11/misc"
FontPath "/usr/share/fonts/X11/cyrillic"
FontPath "/usr/share/fonts/X11/100dpi/:unscaled"
FontPath "/usr/share/fonts/X11/75dpi/:unscaled"
FontPath "/usr/share/fonts/X11/Type1"
FontPath "/usr/share/fonts/X11/100dpi"
FontPath "/usr/share/fonts/X11/75dpi"
FontPath "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
Load "bitmap"
Load "ddc"
Load "dri"
Load "extmod"
Load "freetype"
Load "glx"
Load "int10"
Load "vbe"
EndSection

Section "ServerFlags"
Option "AIGLX" "off"
EndSection

Section "InputDevice"
Identifier "Generic Keyboard"
Driver "kbd"
Option "CoreKeyboard"
Option "XkbRules" "xorg"
Option "XkbModel" "pc105"
Option "XkbLayout" "us"
Option "XkbOptions" "lv3:ralt_switch"
EndSection

Section "InputDevice"
Identifier "Configured Mouse"
Driver "mouse"
Option "CorePointer"
Option "Device" "/dev/input/mice"
Option "Protocol" "ImPS/2"
Option "ZAxisMapping" "4 5"
Option "Emulate3Buttons" "true"
EndSection

Section "InputDevice"
Identifier "Synaptics Touchpad"
Driver "synaptics"
Option "SendCoreEvents" "true"
Option "Device" "/dev/psaux"
Option "Protocol" "auto-dev"
EndSection

Section "InputDevice"

# /dev/input/event
# for USB
Identifier "stylus"
Driver "wacom"
Option "Device" "/dev/wacom" # Change to
Option "Type" "stylus"
Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "InputDevice"

# /dev/input/event
# for USB
Identifier "eraser"
Driver "wacom"
Option "Device" "/dev/wacom" # Change to
Option "Type" "eraser"
Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "InputDevice"

# /dev/input/event
# for USB
Identifier "cursor"
Driver "wacom"
Option "Device" "/dev/wacom" # Change to
Option "Type" "cursor"
Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "Monitor"
Identifier "aticonfig-Monitor[0]"
Option "VendorName" "ATI Proprietary Driver"
Option "ModelName" "Generic Autodetecting Monitor"
Option "DPMS" "true"
EndSection

Section "Device"
Identifier "aticonfig-Device[0]"
Driver "fglrx"
Option "VideoOverlay" "on"
Option "OpenGLOverlay" "off"
EndSection

Section "Screen"
Identifier "aticonfig-Screen[0]"
Device "aticonfig-Device[0]"
Monitor "aticonfig-Monitor[0]"
DefaultDepth 24
SubSection "Display"
Viewport 0 0
Depth 24
EndSubSection
EndSection

Section "DRI"
Mode 0666
EndSection

Section "Extensions"
Option "Composite" "0"
EndSection

Section "ServerFlags"
Option "AIGLX" "off"
EndSection
头像
anticlockwise
帖子: 2393
注册时间: 2007-03-01 20:46
来自: 湖南长沙
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 anticlockwise » 2007-03-17 11:27

首先,Feisty中好像目前只能用方法一,也就是用开源的驱动,直接从源中用apt-get安装。
其次,看看你的显卡是否在被支持的显卡列表中,如果不支持的话,那就没办法。
再次,如果你在Edgy中用的是ATI官方的驱动,在Feisty中不能再用,卸载重装源中的驱动,并且看看
/etc/default/linux-restricted-modules-common 文件中的 DISABLED_MODULES 是否等于 fglrx,如果是这样的话,把它改成:

代码: 全选

DISABLED_MODULES=""
以上是我的经验,LZ可以试试
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#3

帖子 zhuqin_83 » 2007-03-17 11:59

ls说错了,开源驱动是默认已经安装的了。
方法一是安装源里的商业驱动,也是最新的,所以根本没有必要自己编译,而且我这里是无法编译通过的,因为该驱动并不支持feisty及其内核,需要打补丁。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
interskh
帖子: 203
注册时间: 2005-11-16 10:42
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 interskh » 2007-03-17 12:09

anticlockwise 写了:首先,Feisty中好像目前只能用方法一,也就是用开源的驱动,直接从源中用apt-get安装。
其次,看看你的显卡是否在被支持的显卡列表中,如果不支持的话,那就没办法。
再次,如果你在Edgy中用的是ATI官方的驱动,在Feisty中不能再用,卸载重装源中的驱动,并且看看
/etc/default/linux-restricted-modules-common 文件中的 DISABLED_MODULES 是否等于 fglrx,如果是这样的话,把它改成:

代码: 全选

DISABLED_MODULES=""
以上是我的经验,LZ可以试试
改了/etc/default/linux-restricted-modules-common之后果然好了,看来是我把几个方法混用了以后没有完全清除的关系
多谢了:)
头像
interskh
帖子: 203
注册时间: 2005-11-16 10:42
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 interskh » 2007-03-17 12:10

zhuqin_83 写了:ls说错了,开源驱动是默认已经安装的了。
方法一是安装源里的商业驱动,也是最新的,所以根本没有必要自己编译,而且我这里是无法编译通过的,因为该驱动并不支持feisty及其内核,需要打补丁。
方法一有效,多谢:)
方法二打上补丁之后是可以编译的,但是安装了以后没反应-___-
回复

回到 “老旧版本支持”